*------------------------------------------------------------------------------*
|                                                                              |
|                                                                              |
|                                                                              |
|                                                                              |
|                        SAS Data Definition Statements                        |
|                                                                              |
|                         Generated: 14SEP07:14:21:16                          |
|                                                                              |
|  The PROC FORMAT statement generates user-defined formats by concatenating   |
|  codes with code descriptions.                                               |
|                                                                              |
|  PROC FORMAT NOTE: One or more code descriptions have been truncated.        |
|                                                                              |
|  The PROC FORMAT statement has been commented out.  To use                   |
|  code descriptions to format data values, remove the comment statements      |
|  '/* */' before and after the PROC FORMAT statement.                         |
|                                                                              |
|  The DATA statement begins the SAS data step and names an output SAS data    |
|  set.                                                                        |
|                                                                              |
|  The LABEL statement assigns variable labels.                                |
|                                                                              |
|  User-defined missing values are recoded to the SAS sysmis code '.'.         |
|  The recode statements are commented out.  To recode user-defined missing    |
|  values to the SAS sysmis code, remove the comment statements '/* */'        |
|  before and after the recode statements.                                     |
|                                                                              |
|  The FORMAT statement assigns user-defined formats to variables.  The FORMAT |
|  statement is commented out.  To use code descriptions to format data values,|
|  remove the comment statements '/* */' before and after the FORMAT statement.|
|                                                                              |
*------------------------------------------------------------------------------;

* Generate user-defined formats;

/*
PROC FORMAT;

   VALUE $V5F (DEFAULT=70)

       "Age6-0"="Age6-0: AGE 16-21"
       "Age6-3"="Age6-3: AGE 16 (Grp16-21)"
       "Age6-4"="Age6-4: AGE 17 (Grp16-21)"
       "Age6-5"="Age6-5: AGE 18 (Grp16-21)"
       "Age6-6"="Age6-6: AGE 19 (Grp16-21)"
       "Age6-7"="Age6-7: AGE 20 (Grp16-21)"
       "Age6-8"="Age6-8: AGE 21 (Grp16-21)"
       "Age8-0"="Age8-0: AGE 14-21"
       "Age8-1"="Age8-1: AGE 14 (Grp14-21)"
       "Age8-2"="Age8-2: AGE 15 (Grp14-21)"
       "Age8-3"="Age8-3: AGE 16 (Grp14-21)"
       "Age8-4"="Age8-4: AGE 17 (Grp14-21)"
       "Age8-5"="Age8-5: AGE 18 (Grp14-21)"
       "Age8-6"="Age8-6: AGE 19 (Grp14-21)"
       "Age8-7"="Age8-7: AGE 20 (Grp14-21)"
       "Age8-8"="Age8-8: AGE 21 (Grp14-21)"
       "R_eth4-0"="R_eth4-0: ALL ETHNIC"
       "R_eth4-1"="R_eth4-1: WHITE"
       "R_eth4-2"="R_eth4-2: BLACK"
       "R_eth4-3"="R_eth4-3: HISPANIC"
       "R_eth4-4"="R_eth4-4: OTHER"
       "Sex2-0"="Sex2-0: ALL GENDER"
       "Sex2-1"="Sex2-1: MALE"
       "Sex2-2"="Sex2-2: FEMALE";

   VALUE $V7F (DEFAULT=70)

       "Emp_stat3-0"="Emp_stat3-0: ALL LABOR FORCE STATUS"
       "Emp_stat3-1"="Emp_stat3-1: EMPLOYED"
       "Emp_stat3-2"="Emp_stat3-2: UNEMPLOYED"
       "Emp_stat3-3"="Emp_stat3-3: NOT IN THE LABOR FORCE"
       "Enrl_stat4-0"="Enrl_stat4-0: ALL ENROLLMENT STATUS"
       "Enrl_stat4-1"="Enrl_stat4-1: NOT IN SCHOOL"
       "Enrl_stat4-2"="Enrl_stat4-2: IN SECONDARY SCHOOL"
       "Enrl_stat4-3"="Enrl_stat4-3: HS GRADUATE NOT IN COLLEGE"
       "Enrl_stat4-4"="Enrl_stat4-4: HS GRADUATE IN COLLEGE"
       "High_degr6-0"="High_degr6-0: ALL HIGHEST EDUCATIONAL ATTAINMENT"
       "High_degr6-1"="High_degr6-1: 10TH GRADE OR LESS"
       "High_degr6-2"="High_degr6-2: 11TH GRADE"
       "High_degr6-3"="High_degr6-3: 12TH GRADE"
       "High_degr6-4"="High_degr6-4: HS GRADUATE"
       "High_degr6-5"="High_degr6-5: LESS THAN ONE YEAR OF COLLEGE"
       "High_degr6-6"="High_degr6-6: ONE OR MORE YEARS OF COLLEGE";

   VALUE $V8F (DEFAULT=70)

       "2001"="2001: BASELINE"
       "0304"="0304: FOLLOW UP"
       "change"="change: DIFFERENT BETWEEN BASELINE AND FOLLOWUP";

   VALUE $V10F (DEFAULT=70)

       "01"="01: AGE BY SCHOOL ENROLLMENT BY HIGHEST DEGREE"
       "02"="02: AGE BY HIGHEST DEGREE COMPLETED"
       "03"="03: AGE BY EMPLOYMENT STATUS"
       "04"="04: SEX BY SCHOOL ENROLLMENT BY HIGHEST DEGREE"
       "05"="05: SEX BY HIGHEST DEGREE COMPLETED"
       "06"="06: SEX BY EMPLOYMENT STATUS"
       "07"="07: RACE/ETHNICITY BY SCHOOL ENROLLMENT BY HIGHEST DEGREE"
       "08"="08: RACE/ETHNICITY BY HIGHEST DEGREE COMPLETED"
       "09"="09: RACE/ETHNICITY BY EMPLOYMENT STATUS"
       "C1"="C1: AGE BY EMPLOYMENT STATUS FOR THOSE IN THE LABOR FORCE"
       "C2"="C2: SEX BY EMPLOYMENT STATUS FOR THOSE IN THE LABOR FORCE"
       "C3"="C3: RACE/ETHNICITY BY EMPLOYMENT STATUS FOR THOSE IN THE LABOR FORCE";

   VALUE $V13F (DEFAULT=70)

       "1"="1: LOWEST"
       "2"="2: 2ND LOWEST"
       "3"="3: 3RD LOWEST"
       "4"="4: 4TH LOWEST"
       "5"="5: HIGHEST"
       "Avg_YO"="Avg_YO: AVERAGE"
       "Total"="Total: TOTAL";
*/

* Read the data file;

DATA;
SET "Data Location - Path"YOACS;

* Assign variable labels;

LABEL
   ACS_EST="WEIGHTED ACS POPULATION ESTIMATE FOR A GIVEN SUBGROUP"
   ACS_PCT="ESTIMATED PERCENTAGE OF THE ACS POPULATION WITHIN A GIVEN DOMAIN THAT FALLS INTO AN OUTCOME CATEGORY"
   ACS_PCT_SE="STANDARD ERROR FOR ACS_PCT"
   DOMAINCAT="DOMAIN VARIABLE CATEGORY"
   NSUM="SAMPLE SIZE"
   OUTCOMECAT="OUTCOME VARIABLE CATEGORY"
   Ref_per="REFERENCE PERIOD (2001; 2003-2004; CHANGE)"
   WESID="OUTCOME COMBINATION CODE"
   YO_EST="WEIGHTED YO POPULATION ESTIMATE FOR A GIVEN SUBGROUP"
   SEWGT="STANDARD ERROR OF THE WEIGHTED YO POPULATION ESTIMATE"
   YO_PCT="ESTIMATED PERCENTAGE OF THE YO POPULATION WITHIN A GIVEN DOMAIN THAT FALLS INTO AN OUTCOME CATEGORY"
   YO_SE="STANDARD ERROR FOR A YO_PCT"
   YO_prop="YO PROPENSITY STRATUM (1 TO 5).  THE STRATA ARE GROUPS OF CENSUS TRACTS (BOTH YO AND NON_YO TRACTS) ORGANIZED IN ASCENDING ORDER OF THEIR LIKELIHOOD OF BEING A YO SITE";

* Assign user-defined formats;

/*
FORMAT
   DOMAINCAT $V5F. OUTCOMECAT $V7F. Ref_per $V8F. WESID $V10F. YO_prop $V13F.;
*/
