*------------------------------------------------------------------------------*
|                                                                              |
|                                                                              |
|                                                                              |
|                                                                              |
|                        SAS Data Definition Statements                        |
|                                                                              |
|                         Generated: 14SEP07:14:20:03                          |
|                                                                              |
|  The PROC FORMAT statement generates user-defined formats by concatenating   |
|  codes with code descriptions.                                               |
|                                                                              |
|  PROC FORMAT NOTE: One or more code descriptions have been truncated.        |
|                                                                              |
|  The PROC FORMAT statement has been commented out.  To use                   |
|  code descriptions to format data values, remove the comment statements      |
|  '/* */' before and after the PROC FORMAT statement.                         |
|                                                                              |
|  The DATA statement begins the SAS data step and names an output SAS data    |
|  set.                                                                        |
|                                                                              |
|  The LABEL statement assigns variable labels.                                |
|                                                                              |
|  User-defined missing values are recoded to the SAS sysmis code '.'.         |
|  The recode statements are commented out.  To recode user-defined missing    |
|  values to the SAS sysmis code, remove the comment statements '/* */'        |
|  before and after the recode statements.                                     |
|                                                                              |
|  The FORMAT statement assigns user-defined formats to variables.  The FORMAT |
|  statement is commented out.  To use code descriptions to format data values,|
|  remove the comment statements '/* */' before and after the FORMAT statement.|
|                                                                              |
*------------------------------------------------------------------------------;

* Generate user-defined formats;

/*
PROC FORMAT;

   VALUE V1F (DEFAULT=70)

       0="0: NO"
       1="1: YES";

   VALUE V7F (DEFAULT=70)

       1="1: HIGH SCHOOL DIPLOMA"
       2="2: GED"
       3="3: NO DIPLOMA OR GED"
       .="BLANK: REFUSED, DON'T KNOW, OR NOT ASCERTAINED";

   VALUE V9F (DEFAULT=70)

       1="1: MIDDLE, JUNIOR, OR HIGH SCHOOL"
       2="2: GED, OR OTHER"
       3="3: TWO OR FOUR YEAR COLLEGE"
       .="BLANK: REFUSED, DON'T KNOW, OR NOT ASCERTAINED";

   VALUE V12F (DEFAULT=70)

       0="0: NO"
       1="1: YES"
       .="BLANK: REFUSED, DON'T KNOW, OR NOT ASCERTAINED";

   VALUE V14F (DEFAULT=70)

       1="1: 10TH GRADE"
       2="2: 11TH GRADE"
       3="3: 12TH GRADE"
       4="4: HIGH SCHOOL GRADUATE"
       5="5: SOME COLLEGE CREDIT, BUT LESS THAN ONE YEAR"
       6="6: AT LEAST 1 OR MORE YEARS OF COLLEGE"
       .="BLANK: REFUSED, DON'T KNOW, OR NOT ASCERTAINED";

   VALUE V15F (DEFAULT=70)

       1="1: LESS THAN $2.00"
       2="2: $2.00-2.99"
       3="3: $3.00-3.99"
       4="4: $4.00-4.99"
       5="5: $5.00-5.99"
       6="6: $6.00-6.99"
       7="7: $7.00-7.99"
       8="8: $8.00-8.99"
       9="9: $9.00-9.99"
       10="10: $10.00-10.99"
       11="11: $11.00-11.99"
       12="12: $12.00-12.99"
       13="13: $13.00-13.99"
       14="14: $14.00-14.99"
       15="15: $15.00-15.99"
       16="16: $16.00-16.99"
       17="17: $17.00-19.99"
       18="18: $20.00 OR MORE"
       .="BLANK:";

   VALUE V16F (DEFAULT=70)

       1="1: 1-9"
       2="2: 10-14"
       3="3: 15-19"
       4="4: 20-24"
       5="5: 25-29"
       6="6: 30-34"
       7="7: 35-39"
       8="8: 40-44"
       9="9: 45-49"
       10="10: 50-54"
       11="11: 55-59"
       12="12: GREATER THAN 60"
       .="BLANK:";

   VALUE V19F (DEFAULT=70)

       1="1: EMPLOYED"
       2="2: UNEMPLOYED"
       3="3: NOT IN LABOR FORCE";

   VALUE V23F (DEFAULT=70)

       0="0: FEMALE"
       1="1: MALE";

   VALUE V28F (DEFAULT=70)

       1="1: BASELINE"
       2="2: FOLLOW UP";

   VALUE V29F (DEFAULT=70)

       1="1: LESS THAN $10"
       2="2: $10.00-49.99"
       3="3: $50.00-99.99"
       4="4: $100.00-149.99"
       5="5: $150.00-199.99"
       6="6: $200.00-249.99"
       7="7: $250.00-299.99"
       8="8: $300.00-349.99"
       9="9: $350.00-399.99"
       10="10: $400.00-449.99"
       11="11: $450.00-499.99"
       12="12: $500.00-549.99"
       13="13: $550.00-599.99"
       14="14: $600.00 OR MORE"
       .="BLANK:";
*/

* Read the data file;

DATA;
SET "Data Location - Path"YO_Derived;

* Assign variable labels;

LABEL
   ABSUNEMP="DERIVED - REASON ABSENT - NOT EMPLOYED LAST WEEK"
   ADLTCOLL="DERIVED - ADULT EDUCATION/CONTINUING EDUCATION/INTER AGENCY SCHOOL"
   CPSEMP="DERIVED - EMPLOYMENT STATUS (CPS BASED)"
   CPSENRYO="DERIVED - SCHOOL ENROLLMENT STATUS (CPS BASED)"
   DROPOUT="DERIVED - SCHOOL DROP OUT				"
   DROPOUTF="DERIVED - DROPOUT STATUS CONSIDERING FOREIGN DIPLOMA"
   EDUCAT="DERIVED - EDUCATION CATEGORIES - HIGH SCHOOL DIPLOMA, GED, NEITHER"
   EMP_LOOK="DERIVED - EMPLOYED OR LOOKING FOR WORK IN PAST 4 WEEKS"
   ENROLL="DERIVED - ENROLLMENT BY TYPE OF SCHOOL"
   ENRTNG="DERIVED - ENROLLED IN TRAINING"
   EPRATIO="DERIVED - EMPLOYMENT TO POPULATION RATIO"
   FORBORN="DERIVED - FOREIGN BORN FLAG"
   FTEMP="DERIVED - FULL-TIME EMPLOYMENT STATUS"
   HIGHDEG6="DERIVED - EDUCATONAL ATTAINMENT"
   HWAGE="DERIVED - HOURLY WAGE"
   HWORKED="DERIVED - HOURS WORKED"
   IDLE="DERIVED - NOT ENROLLED IN SCHOOL OR TRAINING OR IN LABOR FORCE"
   LFPR="DERIVED - LABOR FORCE PARTICIPATION RATE"
   LFSTAT="DERIVED - LABOR FORCE STATUS"
   NOEARN15="DERIVED - WORKS 15 HOURS OR LESS A WEEK NO PAY	"
   OLDEMP="DERIVED - WORKING OR WITH A JOB LAST WEEK"
   PUBASST="DERIVED - RECEIPT OF PUBLIC ASSISTANCE FLAG"
   Q1_RECODE="GENDER - RECODE"
   QID="YOUTH QUESTIONNAIRE UNIQUE ID"
   TECHCOLL="DERIVED - TECHNICAL SCHOOL/VOCATIONAL SCHOOL/BUSINESS SCHOOL"
   UNEMP="DERIVED - UNEMPLOYMENT FLAG - NOT WORKING LAST WEEK BUT LOOKING FOR WORK"
   URATE="DERIVED - UNEMPLOYMENT RATE"
   WAVE="ROUND OF DATA COLLECTION"
   WEARN="DERIVED - WEEKLY EARNINGS";

* Assign user-defined formats;

/*
FORMAT
   ABSUNEMP ADLTCOLL CPSEMP CPSENRYO DROPOUT DROPOUTF EMP_LOOK ENRTNG EPRATIO
   FTEMP IDLE LFPR NOEARN15 OLDEMP TECHCOLL UNEMP V1F. EDUCAT V7F. ENROLL V9F.
   FORBORN PUBASST URATE V12F. HIGHDEG6 V14F. HWAGE V15F. HWORKED V16F. LFSTAT V19F.
   Q1_RECODE V23F. WAVE V28F. WEARN V29F.;
*/
