*------------------------------------------------------------------------------*
|                                                                              |
|                                                                              |
|                                                                              |
|                                                                              |
|                        SAS Data Definition Statements                        |
|                                                                              |
|                         Generated: 14SEP07:14:20:40                          |
|                                                                              |
|  The PROC FORMAT statement generates user-defined formats by concatenating   |
|  codes with code descriptions.                                               |
|                                                                              |
|  PROC FORMAT NOTE: One or more code descriptions have been truncated.        |
|                                                                              |
|  The PROC FORMAT statement has been commented out.  To use                   |
|  code descriptions to format data values, remove the comment statements      |
|  '/* */' before and after the PROC FORMAT statement.                         |
|                                                                              |
|  The DATA statement begins the SAS data step and names an output SAS data    |
|  set.                                                                        |
|                                                                              |
|  The LABEL statement assigns variable labels.                                |
|                                                                              |
|  User-defined missing values are recoded to the SAS sysmis code '.'.         |
|  The recode statements are commented out.  To recode user-defined missing    |
|  values to the SAS sysmis code, remove the comment statements '/* */'        |
|  before and after the recode statements.                                     |
|                                                                              |
|  The FORMAT statement assigns user-defined formats to variables.  The FORMAT |
|  statement is commented out.  To use code descriptions to format data values,|
|  remove the comment statements '/* */' before and after the FORMAT statement.|
|                                                                              |
*------------------------------------------------------------------------------;

* Generate user-defined formats;

/*
PROC FORMAT;

   VALUE V1F (DEFAULT=70)

       1="1: 1 - 2 PEOPLE"
       2="2: 3 - 4 PEOPLE"
       3="3: 5 - 6 PEOPLE"
       4="4: 7 - 8 PEOPLE"
       5="5: 9 - 10 PEOPLE"
       6="6: 11 OR MORE PEOPLE";

   VALUE $V2F (DEFAULT=70)

       "03"="03: BIRMINGHAM, AL"
       "04"="04: CHICOT/DESHA CTY, AR"
       "05"="05: TUSCON, AZ"
       "07"="07: LOS ANGELES, CA"
       "08"="08: SAN DIEGO, CA"
       "09"="09: SAN FRANCISCO, CA"
       "10"="10: BRAWLEY/CALIPATRIA, CA"
       "12"="12: DENVER, CO"
       "14"="14: HARTFORD, CT"
       "15"="15: TAMPA, FL"
       "16"="16: ALBANY, GA"
       "17"="17: MAUI & MOLOKAI, HI"
       "18"="18: LOUISVILLE, KY"
       "19"="19: MONROE, LA"
       "20"="20: BROCKTON, MA"
       "21"="21: BOSTON, MA"
       "22"="22: BALTIMORE, MD"
       "23"="23: DETROIT, MI"
       "25"="25: KANSAS CITY, MO"
       "26"="26: ROBESON COUNTY, NC"
       "27"="27: BUFFALO, NY"
       "28"="28: CLEVELAND, OH"
       "29"="29: PORTLAND, OR"
       "30"="30: PHILADELPHIA, PA"
       "31"="31: OGLALA SIOUX TRIBE, SD"
       "32"="32: MEMPHIS, TN"
       "33"="33: HOUSTON, TX"
       "34"="34: SAN ANTONIO, TX"
       "35"="35: SEATTLE, WA"
       "36"="36: MILWAUKEE, WI"
       "39"="39: CA INDIAN CONSORTIUM & UTE TRIBE AND OTTAWA & CHIPPEWA TRIBE COMBINED";

   VALUE V23F (DEFAULT=70)

       0="0"
       1="1"
       2="2"
       3="3"
       4="4: 4 OR MORE";

   VALUE V26F (DEFAULT=70)

       1="1: SPANISH"
       .="BLANK: ENGLISH";

   VALUE $V27F (DEFAULT=70)

       "B"="B: BASELINE (DEC 2000 - SEPT 2001)"
       "F"="F: FOLLOW UP (DEC 2003 - JULY 2004)";

   VALUE V28F (DEFAULT=70)

       1="1"
       2="2"
       3="3"
       4="4: 4 OR MORE";
*/

* Read the data file;

DATA;
SET "Data Location - Path"YO_Screener;

* Assign variable labels;

LABEL
   PSU="PSU NUMBER"
   SCRID="HOUSEHOLD UNIQUE ID"
   HHCOUNT="NUMBER OF PEOPLE IN HOUSEHOLD"
   SAMPIN="NUMBER IN SCHOOL YOUTH SELECTED FOR INTERVIEW"
   SAMPOUT="NUMBER OUT OF SCHOOL YOUTH SELECTED FOR INTERVIEW"
   TOTSAMP="TOTAL NUMBER YOUTH SELECTED FOR INTERVIEW"
   YOUTHIN="TOTAL NUMBER AGE ELIGIBLE IN SCHOOL YOUTH"
   YOUTHOUT="TOTAL NUMBER AGE ELIGIBLE OUT OF SCHOOL YOUTH"
   TOTYOUTH="TOTAL NUMBER AGE ELIGIBLE YOUTH"
   SPANISH="SCREENER SPANISH QUESTIONNAIRE"
   SURVEYPERIOD="SURVEY PERIOD (B-BASELINE, F-FOLLOW UP)";

* Assign user-defined formats;

/*
FORMAT
   HHCOUNT V1F. PSU $V2F. SAMPIN SAMPOUT YOUTHIN YOUTHOUT V23F. SPANISH V26F.
   SURVEYPERIOD $V27F. TOTSAMP TOTYOUTH V28F.;
*/
