*------------------------------------------------------------------------------*
|                                                                              |
|                                                                              |
|                                                                              |
|                                                                              |
|                        SAS Data Definition Statements                        |
|                                                                              |
|                         Generated: 14SEP07:14:18:53                          |
|                                                                              |
|  The PROC FORMAT statement generates user-defined formats by concatenating   |
|  codes with code descriptions.                                               |
|                                                                              |
|  PROC FORMAT NOTE: One or more code descriptions have been truncated.        |
|                                                                              |
|  The PROC FORMAT statement has been commented out.  To use                   |
|  code descriptions to format data values, remove the comment statements      |
|  '/* */' before and after the PROC FORMAT statement.                         |
|                                                                              |
|  The DATA statement begins the SAS data step and names an output SAS data    |
|  set.                                                                        |
|                                                                              |
|  The LABEL statement assigns variable labels.                                |
|                                                                              |
|  User-defined missing values are recoded to the SAS sysmis code '.'.         |
|  The recode statements are commented out.  To recode user-defined missing    |
|  values to the SAS sysmis code, remove the comment statements '/* */'        |
|  before and after the recode statements.                                     |
|                                                                              |
|  The FORMAT statement assigns user-defined formats to variables.  The FORMAT |
|  statement is commented out.  To use code descriptions to format data values,|
|  remove the comment statements '/* */' before and after the FORMAT statement.|
|                                                                              |
*------------------------------------------------------------------------------;

* Generate user-defined formats;

/*
PROC FORMAT;

   VALUE V2F (DEFAULT=70)

       1="1: DIRECT INTERVIEW WITH YOUTH"
       2="2: PROXY INTERVIEW";

   VALUE V4F (DEFAULT=70)

       1="1: SECOND JOB LISTED"
       .="BLANK: NO";

   VALUE $V5F (DEFAULT=70)

       "03"="03: BIRMINGHAM, AL"
       "04"="04: CHICOT/DESHA CTY, AR"
       "05"="05: TUSCON, AZ"
       "07"="07: LOS ANGELES, CA"
       "08"="08: SAN DIEGO, CA"
       "09"="09: SAN FRANCISCO, CA"
       "10"="10: BRAWLEY/CALIPATRIA, CA"
       "12"="12: DENVER, CO"
       "14"="14: HARTFORD, CT"
       "15"="15: TAMPA, FL"
       "16"="16: ALBANY, GA"
       "17"="17: MAUI & MOLOKAI, HI"
       "18"="18: LOUISVILLE, KY"
       "19"="19: MONROE, LA"
       "20"="20: BROCKTON, MA"
       "21"="21: BOSTON, MA"
       "22"="22: BALTIMORE, MD"
       "23"="23: DETROIT, MI"
       "25"="25: KANSAS CITY, MO"
       "26"="26: ROBESON COUNTY, NC"
       "27"="27: BUFFALO, NY"
       "28"="28: CLEVELAND, OH"
       "29"="29: PORTLAND, OR"
       "30"="30: PHILADELPHIA, PA"
       "31"="31: OGLALA SIOUX TRIBE, SD"
       "32"="32: MEMPHIS, TN"
       "33"="33: HOUSTON, TX"
       "34"="34: SAN ANTONIO, TX"
       "35"="35: SEATTLE, WA"
       "36"="36: MILWAUKEE, WI"
       "39"="39: CA INDIAN CONSORTIUM, UTE TRIBE, CO, AND OTTAWA & CHIPPEWA TRIBE COMBINED";

   VALUE V6F (DEFAULT=70)

       1="1: MALE"
       2="2: FEMALE"
       9="9: NOT ASCERTAINED";

   VALUE V7F (DEFAULT=70)

       1="1: YES, U.S. DIPLOMA"
       2="2: NO DIPLOMA"
       3="3: YES, FOREIGN COUNTRY DIPLOMA ONLY"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, NOT CODED 6 IN Q9A";

   VALUE V8F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, NOT CODED 6 IN Q9A OR CODED 1 IN Q10";

   VALUE V9F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, NOT CODED 6 IN Q9A";

   VALUE V10F (DEFAULT=70)

       1="1: 8TH GRADE OR LESS"
       2="2: 9TH GRADE"
       3="3: 10TH GRADE"
       4="4: 11TH GRADE"
       5="5: 12TH GRADE"
       6="6: 1 OR MORE YEARS OF COLLEGE"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V11F (DEFAULT=70)

       0="0: NOT CIRCLED"
       1="1: WORKING"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V12F (DEFAULT=70)

       0="0: NOT CIRCLED"
       2="2: WITH JOB BUT NOT WORKING"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V13F (DEFAULT=70)

       0="0: NOT CIRCLED"
       3="3: LOOKING FOR WORK"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V14F (DEFAULT=70)

       0="0: NOT CIRCLED"
       4="4: KEEPING HOUSE"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V15F (DEFAULT=70)

       0="0: NOT CIRCLED"
       5="5: GOING TO SCHOOL"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V16F (DEFAULT=70)

       0="0: NOT CIRCLED"
       6="6: UNABLE TO WORK"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V17F (DEFAULT=70)

       0="0: NOT CIRCLED"
       7="7: DOING SOMETHING ELSE"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V18F (DEFAULT=70)

       1="1: VACATION/XMAS VACATION/SPRING BREAK/TRAVELING HOME"
       2="2: IN ARMED SERVICE/JOB CORP/PREPARING TO GO INTO THE MILITARY/ PREPARING TO GO INTO THE POLICE ACADEMY"
       3="3: OUT WITH FRIENDS/HANGING OUT"
       4="4: IN PRISON/JAIL"
       5="5: WATCHING TV/NINTENDO - VIDEO GAMES/PLAYING ON COMPUTER/DRAWING PICTURES"
       6="6: DOING NOTHING/LAZY"
       7="7: ON MEDICATION"
       8="8: VISITING FAMILY/HELPING FAMILY"
       9="9: DROP OUT/EXPELLED"
       10="10: SHOPPING"
       11="11: PICKS UP/SELLS ALUMINUM CANS"
       12="12: JOB CLUB"
       13="13: DEATH IN FAMILY"
       14="14: CHILD CARE/BABY SITTING"
       15="15: RETURNING TO SCHOOL/GETTING GED/TRYING TO RETURN TO SCHOOL/ PREPARING FOR GMAT/TUTORING TO MAKE UP CREDITS/PREPARING FOR STATE TESTING/COLLEGE PREP OR SAT PREP PROGRAM"
       16="16: LOOKING FOR AN APARTMENT/MOVING/HELPING A FRIEND MOVE/JUST MOVED HERE"
       17="17: PREGNANT"
       18="18: WRITING SONGS/PLAYING MUSIC"
       19="19: FEEDING ANIMALS/FARM WORK/TRAINING HORSES/OUTDOOR CHORES"
       20="20: SICK/ILL/IN HOSPITAL/REHAB/COUNSELING/GROUP SERVICES/MEDICAL PROBLEMS/DISABLED DUE TO INJURY"
       21="21: ATTENDING A WORKSHOP/TRAINING/DRIVERS EDUCATION"
       22="22: IN DETENTION CENTER/CAMP/HOUSE ARREST/SEEING PROBATION OFFICER/ IN GROUP HOME/WILDERNESS PROGRAM/RESIDENTIAL PROGRAM/PROBATION SCHOOL"
       23="23: COMMUNITY SERVICE/VOLUNTEER WORK"
       24="24: CHURCH ACTIVITIES/MISSION/BOYS AND GIRLS CLUB"
       25="25: EXERCISING/WORKING OUT/SPORTS/AFTER SCHOOL ACTIVITIES"
       26="26: NO TRANSPORTATION"
       27="27: YOUTH EMPLOYMENT (YO) PROGRAM/YO CENTER"
       28="28: FISHING/HUNTING"
       29="29: MAKING MONEY - NOT OTHERWISE SPECIFIED"
       30="30: AT THE LIBRARY/PROJECT FOR SCHOOL/STUDY HALL"
       31="31: DEVELOPING A SOFTWARE PROGRAM"
       32="32: DOING HAIR"
       33="33: WAITING FOR ID/BIRTH CERTIFICATE/WORK PERMIT"
       34="34: WORKING ON/FIXING CARS"
       95="95: OTHER"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, NOTHING ELSE";

   VALUE V19F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q12";

   VALUE V20F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q13";

   VALUE V21F (DEFAULT=70)

       1="1: (YOUR OWN/YOUTH'S) ILLNESS"
       2="2: ON VACATION"
       3="3: BAD WEATHER"
       4="4: LABOR DISPUTE"
       5="5: NEW JOB TO BEGIN WITHIN 30 DAYS"
       6="6: TEMPORARY LAYOFF (UNDER 30 DAYS)"
       7="7: INDEFINITE LAYOFF, (30 DAYS OR MORE, OR NO DEFINITE RECALL DATE)"
       8="8: OTHER REASON (SPECIFY)"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q13, OR CODED 2 OR 7 OR 9 IN Q14";

   VALUE V22F (DEFAULT=70)

       0="0: NONE"
       1-94="1-94: NUMBER"
       95="95: GREATER THAN 94 HOURS"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 7 OR 9 IN Q14";

   VALUE $V23F (DEFAULT=70)

       "11"="11: AGRICULTURE, FORESTRY, FISHING AND HUNTING"
       "21"="21: MINING"
       "22"="22: UTILITIES"
       "23"="23: CONSTRUCTION"
       "31"-"33"="31-33: MANUFACTURING"
       "42"="42: WHOLESALE TRADE"
       "44"-"45"="44-45: RETAIL TRADE"
       "48"-"49"="48-49: TRANSPORTATION AND WAREHOUSING"
       "51"="51: INFORMATION"
       "52"="52: FINANCE AND INSURANCE"
       "53"="53: REAL ESTATE AND RENTAL AND LEASING"
       "54"="54: PROFESSIONAL, SCIENTIFIC, AND TECHNICAL SERVICES"
       "55"="55: MANAGEMENT OF COMPANIES AND ENTERPRISES"
       "56"="56: ADMINISTRATIVE AND SUPPORT AND WASTE MANAGEMENT AND REMEDIATION SERVICES"
       "61"="61: EDUCATIONAL SERVICES"
       "62"="62: HEALTH CARE AND SOCIAL ASSISTANCE"
       "71"="71: ARTS, ENTERTAINMENT, AND RECREATION"
       "72"="72: ACCOMMODATION AND FOOD SERVICES"
       "81"="81: OTHER SERVICES (EXCEPT PUBLIC ADMINISTRATION)"
       "92"="92: PUBLIC ADMINISTRATION"
       "97"="97: REFUSED"
       "98"="98: DON'T KNOW"
       "99"="99: NOT ASCERTAINED"
       " "="BLANK: INAPPLICABLE";

   VALUE $V25F (DEFAULT=70)

       "11"="11: MANAGEMENT OCCUPATIONS"
       "13"="13: BUSINESS AND FINANCIAL OPERATIONS OCCUPATIONS"
       "15"="15: COMPUTER AND MATHEMATICAL OCCUPATIONS"
       "17"="17: ARCHITECTURE AND ENGINEERING OCCUPATIONS"
       "19"="19: LIFE, PHYSICAL, AND SOCIAL SCIENCE OCCUPATIONS"
       "21"="21: COMMUNITY AND SOCIAL SERVICES OCCUPATIONS"
       "23"="23: LEGAL OCCUPATIONS"
       "25"="25: EDUCATION, TRAINING, AND LIBRARY OCCUPATIONS"
       "27"="27: ARTS, DESIGN, ENTERTAINMENT, SPORTS, AND MEDIA OCCUPATIONS"
       "29"="29: HEALTHCARE PRACTITIONERS AND TECHNICAL OCCUPATIONS"
       "31"="31: HEALTHCARE SUPPORT OCCUPATIONS"
       "33"="33: PROTECTIVE SERVICE OCCUPATIONS"
       "35"="35: FOOD PREPARATION AND SERVING RELATED OCCUPATIONS"
       "37"="37: BUILDING AND GROUNDS CLEANING AND MAINTENANCE OCCUPATIONS"
       "39"="39: PERSONAL CARE AND SERVICE OCCUPATIONS"
       "41"="41: SALES AND RELATED OCCUPATIONS"
       "43"="43: OFFICE AND ADMINISTRATIVE SUPPORT OCCUPATIONS"
       "45"="45: FARMING, FISHING, AND FORESTRY OCCUPATIONS"
       "47"="47: CONSTRUCTION TRADES"
       "49"="49: INSTALLATION, MAINTENANCE, AND REPAIR WORKERS"
       "51"="51: PRODUCTION OCCUPATIONS"
       "53"="53: TRANSPORTATION AND MATERIAL MOVING OCCUPATIONS"
       "55"="55: MILITARY SERVICES"
       "97"="97: REFUSED"
       "98"="98: DON'T KNOW"
       "99"="99: NOT ASCERTAINED"
       " "="BLANK: INAPPLICABLE";

   VALUE $V26F (DEFAULT=70)

       "11"="11: MANAGEMENT OCCUPATIONS"
       "13"="13: BUSINESS AND FINANCIAL OPERATIONS OCCUPATIONS"
       "15"="15: COMPUTER AND MATHEMATICAL OCCUPATIONS"
       "17"="17: ARCHITECTURE AND ENGINEERING OCCUPATIONS"
       "19"="19: LIFE, PHYSICAL, AND SOCIAL SCIENCE OCCUPATIONS"
       "21"="21: COMMUNITY AND SOCIAL SERVICES OCCUPATIONS"
       "23"="23: LEGAL OCCUPATIONS"
       "25"="25: EDUCATION, TRAINING, AND LIBRARY OCCUPATIONS"
       "27"="27: ARTS, DESIGN, ENTERTAINMENT, SPORTS, AND MEDIA OCCUPATIONS"
       "29"="29: HEALTHCARE PRACTITIONERS AND TECHNICAL OCCUPATIONS"
       "31"="31: HEALTHCARE SUPPORT OCCUPATIONS"
       "33"="33: PROTECTIVE SERVICE OCCUPATIONS"
       "35"="35: FOOD PREPARATION AND SERVING RELATED OCCUPATIONS"
       "37"="37: BUILDING AND GROUNDS CLEANING AND MAINTENANCE OCCUPATIONS"
       "39"="39: PERSONAL CARE AND SERVICE OCCUPATIONS"
       "41"="41: SALES AND RELATED OCCUPATIONS"
       "43"="43: OFFICE AND ADMINISTRATIVE SUPPORT OCCUPATIONS"
       "45"="45: FARMING, FISHING, AND FORESTRY OCCUPATIONS"
       "47"="47: CONSTRUCTION TRADES"
       "49"="49: INSTALLATION, MAINTENANCE, AND REPAIR WORKERS"
       "51"="51: PRODUCTION OCCUPATIONS"
       "53"="53: TRANSPORTATION AND MATERIAL MOVING OCCUPATIONS"
       "55"="55: MILITARY SERVICES"
       "97"="97: REFUSED"
       "98"="98: DON'T KNOW"
       "99"="99: NOT ASCERTAINED"
       " "="BLANK: INAPPLICABLE";

   VALUE V27F (DEFAULT=70)

       1="1: MALE"
       2="2: FEMALE";

   VALUE V28F (DEFAULT=70)

       1-94="1-94: HOURS WORKED IN A WEEK"
       95="95: GREATER THAN 94 HOURS"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 7 OR 9 IN Q14";

   VALUE V29F (DEFAULT=70)

       1-94="1-94: HOURS WORKED IN A WEEK"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 7 OR 9 IN Q14 OR NO SECOND JOB";

   VALUE V32F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       8="8: DON'T KNOW"
       7="7: REFUSED"
       9="9: NOT ASCERTAINED";

   VALUE V33F (DEFAULT=70)

       1="1: PART-TIME WORK"
       2="2: FULL-TIME WORK"
       3="3: BOTH FULL/PART-TIME WORK"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V34F (DEFAULT=70)

       1-90="1-90: NUMBER"
       94="94: LESS THAN 1 WEEK"
       95="95: GREATER THAN 90 WEEKS"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V35F (DEFAULT=70)

       0="0: NOT CIRCLED"
       1="1: PUBLIC EMPLOYMENT AGENCY"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V36F (DEFAULT=70)

       0="0: NOT CIRCLED"
       2="2: PRIVATE EMPLOYMENT AGENCY"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V37F (DEFAULT=70)

       0="0: NOT CIRCLED"
       3="3: EMPLOYER DIRECTLY"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V38F (DEFAULT=70)

       0="0: NOT CIRCLED"
       4="4: FRIENDS OR RELATIVES"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V39F (DEFAULT=70)

       0="0: NOT CIRCLED"
       5="5: PLACED/ANSWERED ADS/NEWSPAPERS"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V40F (DEFAULT=70)

       0="0: NOT CIRCLED"
       6="6: OTHER (SPECIFY)"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q23";

   VALUE V41F (DEFAULT=70)

       1="1: PROJECT REO (PAROLEES)/PAROLE OFFICER"
       2="2: LOOKING ON MY OWN"
       3="3: SCHOOL EMPLOYMENT OFFICE"
       4="4: JOB FAIR/JOB CORP/JOB PROGRAM FOR HANDICAP/DEAF"
       5="5: DEPT OF LABOR/UNION HALL"
       6="6: NEIGHBORHOOD SWAP MEET"
       7="7: INTERNET/WEBSITES"
       8="8: YOUTH EMPLOYMENT/YO CENTER/YO PROGRAM"
       9="9: COMMUNITY EMPLOYMENT PROGRAM, SUCH AS HOUSTON WORKS/NIA CENTER/ SUMMER JOB PROGRAMS"
       10="10: NEIGHBORHOOD EMPLOYMENT ASSISTANCE, SUCH AS BOYS AND GIRLS CLUB, CHURCH"
       95="95: OTHER"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, NO OTHER SPECIFY";

   VALUE V42F (DEFAULT=70)

       0="0: NOT CIRCLED"
       1="1: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V43F (DEFAULT=70)

       0="0: NOT CIRCLED"
       10="10: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V44F (DEFAULT=70)

       0="0: NOT CIRCLED"
       97="97: REFUSED"
       98="98: CIRCLED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V45F (DEFAULT=70)

       0="0: NOT CIRCLED"
       2="2: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V46F (DEFAULT=70)

       0="0: NOT CIRCLED"
       3="3: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V47F (DEFAULT=70)

       0="0: NOT CIRCLED"
       4="4: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V48F (DEFAULT=70)

       0="0: NOT CIRCLED"
       5="5: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V49F (DEFAULT=70)

       0="0: NOT CIRCLED"
       6="6: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V50F (DEFAULT=70)

       0="0: NOT CIRCLED"
       7="7: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V51F (DEFAULT=70)

       0="0: NOT CIRCLED"
       8="8: CIRCLED"
       97="97: REFUSED"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V52F (DEFAULT=70)

       0="0: NOT CIRCLED"
       9="9: CIRCLED"
       11="11: IN MILITARY/JOB CORP/GOING INTO THE MILITARY/GOING TO COAST GUARD/ WAITING FOR ADMISSION TO JOB CORP/GOING INTO POLICE ACADEMY"
       12="12: WITH JOB, BUT SLOW NOW/LAID OFF - JOB SUPPOSED TO CALL HIM/HER BACK TRYING TO BECOME SELF-EMPLOYED/JUST QUIT JOB"
       13="13: PREGNANT/MATERNITY LEAVE/JUST HAD BABY"
       14="14: IN PRISON"
       15="15: ON VACATION/GOING ON VACATION"
       16="16: RETARDED/LEARNING DISABILITY"
       17="17: LANGUAGE PROBLEM"
       18="18: LAZY/HANGING OUT"
       19="19: NO TRANSPORTATION/NEED DRIVERS LICENSE/TAKING DRIVERS EDUCATION"
       20="20: UNDER AGE"
       21="21: ALIEN"
       22="22: AWAITING TEST RESULTS/ABOUT TO START WORK/WAITING ON CERTIFICATE/ HAS SUMMER JOB THROUGH SCHOOL/WANTS A SUMMER JOB/WAITING TO GET INTO THE UNION"
       23="23: NEED ID/WORK PERMIT"
       24="24: MOTHER/FATHER/GRANDPARENTS/HUSBAND DOESN'T WANT ME TO WORK/PARENTS GIVE MONEY, NO NEED"
       25="25: I DON'T WANT TO WORK/WANTS SOMEONE ELSE TO FIND HIM/HER A JOB"
       26="26: MAY GO BACK TO SCHOOL/GETTING READY TO START SCHOOL/GOING INTO YOUTH EMPLOYMENT PROGRAM/TRAINING/CIMC"
       27="27: INVOLVED IN SPORTS/AFTER SCHOOL ACTIVITES"
       28="28: MOVING/JUST MOVED/JUST CAME HOME FROM SCHOOL"
       29="29: HAS A JOB BUT HASN'T STARTED YET"
       30="30: WILL LOSE SSI/WAITING TO GET SSI"
       31="31: IN A DETENTION CENTER/CAMP/HOUSE ARREST/GROUP HOME/ WILDERNESS PROGRAM/JUST RELEASED FROM DETENTION CENTER/ PROBATION SCHOOL"
       32="32: COMMUNITY SERVICE/OBLIGATION/VOLUNTEER WORK"
       33="33: IN COUNSELING/TREATMENT/REHAB"
       34="34: CHURCH ACTIVITIES/MISSION"
       35="35: JUST GRADUATED"
       36="36: UNEMPLOYMENT RATES HIGH ENOUGH/WILL LOSE UNEMPLOYMENT"
       37="37: UNABLE TO WORK - NO REASON GIVEN"
       38="38: MUSICIAN"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q23";

   VALUE V53F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       7="7: REFUSED"
       8="8: DON'T KNOW"
       9="9: NOT ASCERTAINED";

   VALUE V54F (DEFAULT=70)

       0="0: NOT CIRCLED"
       1="1: AFDC"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V55F (DEFAULT=70)

       1="1: MEDICAID/DHA/MEDICARE"
       2="2: CHILD SUPPORT"
       3="3: DISABILITY"
       4="4: MEDICAL ASSISTANCE"
       5="5: FOSTER CARE"
       6="6: WIC"
       8="8: HUD/SUBSIDIZED HOUSING"
       9="9: MEDICAL CARD (NOS)"
       10="10: CHILD CARE"
       11="11: STATE HEALTH CARE"
       95="95: OTHER"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, NO OTHER KIND OF ASSISTANCE";

   VALUE V56F (DEFAULT=70)

       0="0: NOT CIRCLED"
       2="2: FOOD STAMPS"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V57F (DEFAULT=70)

       0="0: NOT CIRCLED"
       3="3: UNEMPLOYMENT"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V58F (DEFAULT=70)

       0="0: NOT CIRCLED"
       4="4: SSI"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V59F (DEFAULT=70)

       0="0: NOT CIRCLED"
       5="5: GENERAL ASSISTANCE (THIS INCLUDES W2 AND KINSHIP CARE)"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V60F (DEFAULT=70)

       0="0: NOT CIRCLED"
       6="6: ENERGY ASSISTANCE"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V61F (DEFAULT=70)

       0="0: NOT CIRCLED"
       7="7: OTHER (SPECIFY)"
       97="97: REFUSED"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2, 8 OR 9 IN Q24";

   VALUE V62F (DEFAULT=70)

       41="41: WHITE"
       42="42: BLACK/AFRICAN AMERICAN"
       43="43: HISPANIC OR LATINO"
       44="44: ASIAN"
       45="45: AMERICAN INDIAN OR ALASKA NATIVE"
       46="46: NATIVE HAWAIIAN/PACIFIC ISLANDER"
       47="47: OTHER"
       .="BLANK: MISSING";

   VALUE V63F (DEFAULT=70)

       1="1: ENGLISH"
       2="2: OTHER"
       7="7: REFUSED"
       9="9: NOT ASCERTAINED";

   VALUE V64F (DEFAULT=70)

       1="1: VERY WELL"
       2="2: WELL"
       3="3: NOT VERY WELL"
       4="4: NOT AT ALL"
       7="7: REFUSED"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 1 IN Q3";

   VALUE $V65F (DEFAULT=70)

       "998"="998: DON'T KNOW"
       "999"="999: NOT ASCERTAINED"
       "Other"="Other: OTHER COUNTRIES"
       "USA"="USA";

   VALUE V66F (DEFAULT=70)

       1983-2004="1983-2004: YEAR"
       9997="9997: REFUSED"
       9998="9998: DON'T KNOW"
       9999="9999: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, BORN IN U.S. OR ANSWERED REFUSED, DON'T KNOW, OR NOT ASCERTAINED";

   VALUE V67F (DEFAULT=70)

       1="1: SINGLE AND NEVER MARRIED"
       2="2: OTHER"
       8="8: DON'T KNOW-BY PROXY"
       9="9: NOT ASCERTAINED";

   VALUE V68F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       7="7: REFUSED"
       9="9: NOT ASCERTAINED";

   VALUE V69F (DEFAULT=70)

       1="1: YES"
       2="2: NO"
       9="9: NOT ASCERTAINED";

   VALUE V70F (DEFAULT=70)

       1="1: MIDDLE SCHOOL, JUNIOR HIGH SCHOOL"
       2="2: HIGH SCHOOL"
       3="3: GED PROGRAM"
       4="4: TWO YEAR COMMUNITY COLLEGE"
       5="5: FOUR YEAR COLLEGE OR UNIVERSITY"
       6="6: OTHER (SPECIFY)"
       7="7: REFUSED"
       9="9: NOT ASCERTAINED"
       .="BLANK: INAPPLICABLE, CODED 2 OR 9 IN Q9";

   VALUE V71F (DEFAULT=70)

       1-31="1-31: DAY"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V73F (DEFAULT=70)

       1-12="1-12: MONTH"
       98="98: DON'T KNOW"
       99="99: NOT ASCERTAINED";

   VALUE V74F (DEFAULT=70)

       2000="2000: YEAR INTERVIEW COMPLETED"
       2001="2001: YEAR INTERVIEW COMPLETED"
       2003="2003: YEAR INTERVIEW COMPLETED"
       2004="2004: YEAR INTERVIEW COMPLETED";

   VALUE V75F (DEFAULT=70)

       14="14: AGE 14"
       15="15: AGE 15"
       16="16: AGE 16"
       17="17: AGE 17"
       18="18: AGE 18"
       19="19: AGE 19"
       20="20: AGE 20"
       21="21: AGE 21";

   VALUE $V76F (DEFAULT=70)

       "HUS"="HUS: HUSBAND"
       "WIF"="WIF: WIFE"
       "CHD"="CHD: CHILD"
       "GCH"="GCH: GRANDCHILD"
       "SIB"="SIB: SIBLING"
       "ORE"="ORE: OTHER RELATIVE"
       "NRE"="NRE: NON RELATIVE"
       "999"="999: NOT ASCERTAINED"
       " "="BLANK: INAPPLICABLE, CODED 1 IN CKBOX";

   VALUE V78F (DEFAULT=70)

       1="1: SPANISH QUESTIONNAIRE"
       .="BLANK: ENGLISH QUESTIONNAIRE";

   VALUE $V79F (DEFAULT=70)

       "B"="B: BASELINE (DEC 2000 - SEPT 2001)"
       "F"="F: FOLLOW UP (DEC 2003 - JULY 2004)";
*/

* Read the data file;

DATA;
SET "Data Location - Path"YO_YOUTH;

* Assign variable labels;

LABEL
   PSU="PSU NUMBER							"
   SCRID="HOUSEHOLD UNIQUE ID	"
   QID="YOUTH QUESTIONNAIRE UNIQUE ID					"
   CKBOX="WHO IS RESPONDING						"
   RELAT="YOUTH'S RELATIONSHIP TO RESPONDENT				"
   Q1="GENDER OF ELIGIBLE YOUTH					"
   Q1_RECODE="GENDER OF ELIGIBLE YOUTH - RECODE"
   Q2R2CODE="RACE - RECODE"
   Q3="LANGUAGE SPOKEN AT HOME"
   Q3A="HOW WELL DOES YOUTH SPEAK ENGLISH				"
   REFAGE="AGE AS OF 10/15/2000 FOR BASELINE; AGE AS OF 10/15/2003 FOR FOLLOW UP"
   Q5="COUNTRY YOUTH WAS BORN"
   Q6="YEAR FIRST CAME TO U.S.						"
   Q7="MARITAL STATUS"
   Q8="DOES YOUTH HAVE CHILDREN					"
   Q9="IS YOUTH CURRENTLY ENROLLED IN SCHOOL				"
   Q9A="WHAT TYPE OF SCHOOL						"
   Q10="DOES YOUTH HAVE HIGH SCHOOL DIPLOMA"
   Q10A="(DO YOU/DOES YOUTH) HAVE A GED					"
   Q10B="HAS YOUTH EVER ATTENDED COLLEGE				"
   Q11="HIGHEST GRADE YOUTH COMPLETED"
   Q12A="DOING LAST WEEK - WORKING"
   Q12B="DOING LAST WEEK - WITH A JOB BUT NOT WORKING"
   Q12C="DOING LAST WEEK - LOOKING FOR WORK"
   Q12D="DOING LAST WEEK - KEEPING HOUSE"
   Q12E="DOING LAST WEEK - GOING TO SCHOOL"
   Q12F="DOING LAST WEEK - UNABLE TO WORK"
   Q12G="DOING LAST WEEK - OTHER (SPECIFY)"
   Q12GOTH="OTHER SPECIFIED THING DOING LAST WEEK				"
   Q13="WORK AT ALL LAST WEEK W/O HOUSEWORK				"
   Q14="TEMPORARILY ABSENT OR LAYOFF					"
   Q15="WHY ABSENT FROM WORK LAST WEEK					"
   JOB2FLAG="IS YOUTH WORKING A SECOND JOB					"
   Q16="HOURS WORKED LAST WEEK AT ALL JOBS				"
   Q18="KIND OF BUSINESS OR INDUSTRY					"
   Q18_2="KIND OF BUSINESS OR INDUSTRY - SECOND JOB		"
   Q19="KIND OF WORK YOUTH WAS DOING					"
   Q19_2="KIND OF WORK YOUTH WAS DOING - SECOND JOB	"
   Q21="HOURS USUALLY WORKED IN A WEEK					"
   Q21_2="HOURS USUALLY WORKED IN A WEEK - SECOND JOB			"
   Q22="DOLLARS AND CENTS EARNED PER HOUR				"
   Q22_2="DOLLARS AND CENTS EARNED PER HOUR - SECOND JOB 			"
   Q23="BEEN LOOKING FOR WORK IN PAST 4 WKS				"
   Q23A="FULL-TIME OR PART-TIME WORK					"
   Q23B="NUMBER OF WEEKS BEEN LOOKING FOR WORK				"
   Q23C1="CHECKED WITH PUBLIC EMPLOYMENT AGENCY				"
   Q23C2="CHECKED WITH PRIVATE EMPLOYMENT					"
   Q23C3="CHECKED WITH EMPLOYER DIRECTLY					"
   Q23C4="CHECKED WITH FRIENDS OR RELATIVES				"
   Q23C5="PLACED OR ANSWERED ADS						"
   Q23C6="OTHER (SPECIFY)							"
   Q23COTH="OTHER WAY OF LOOKING FOR WORK					"
   Q23D1="NO WORK AVAILABLE IN LINE OF WORK				"
   Q23D10="CURRENTLY EMPLOYED						"
   Q23D11="DON'T KNOW							"
   Q23D2="COULDN'T FIND ANY WORK						"
   Q23D3="LACK SCHOOLING, TRAINING, EXPERIENCE				"
   Q23D4="EMPLOYERS THINK TOO YOUNG TO GET A JOB				"
   Q23D5="ILL HEALTH OR PHYSICAL DISABILITY				"
   Q23D6="CAN'T ARRANGE CHILD CARE					"
   Q23D7="FAMILY RESPONSIBILITIES						"
   Q23D8="IN SCHOOL OR OTHER TRAINING					"
   Q23D9="OTHER (SPECIFY)							"
   Q24="DOES FAMILY RECEIVE PUBLIC ASSISTANCE				"
   Q24A1="AFDC OR TANF							"
   Q24A1OTH="OTHER KIND OF ASSISTANCE					"
   Q24A2="FOOD STAMPS							"
   Q24A3="UNEMPLOYMENT COMPENSATION					"
   Q24A4="SSI								"
   Q24A5="GENERAL ASSISTANCE OR HOME RELIEF				"
   Q24A6="ENERGY ASSISTANCE						"
   Q24A7="ANY OTHER KIND OF ASSISTANCE					"
   QDAY="DATE INTERVIEW COMPLETED	- DAY				"
   QMO="DATE INTERVIEW COMPLETED - MONTH					"
   QYR="DATE INTERVIEW COMPLETED - YEAR					"
   SPANISH="IS THIS A SPANISH QUESTIONNAIRE					"
   SURVEYPERIOD="SURVEY PERIOD (B-BASELINE, F-FOLLOW UP)"
   WT="FINAL WEIGHT							";

* Recode user-defined numeric missing data codes 
to SAS sysmis code;

/*

IF Q1=9 THEN Q1=.;
IF Q3 IN(7,9) THEN Q3=.;
IF Q3A IN(7,9) THEN Q3A=.;
IF Q6 IN(9997,9998,9999) THEN Q6=.;
IF Q7=9 THEN Q7=.;
IF Q8 IN(7,9) THEN Q8=.;
IF Q9=9 THEN Q9=.;
IF Q9A IN(7,9) THEN Q9A=.;
IF Q10 IN(7,8,9) THEN Q10=.;
IF Q10A IN(7,8,9) THEN Q10A=.;
IF Q10B IN(7,8,9) THEN Q10B=.;
IF Q11 IN(97,98,99) THEN Q11=.;
IF Q12A IN(97,98,99) THEN Q12A=.;
IF Q12B IN(97,98,99) THEN Q12B=.;
IF Q12C IN(97,98,99) THEN Q12C=.;
IF Q12D IN(97,98,99) THEN Q12D=.;
IF Q12E IN(97,98,99) THEN Q12E=.;
IF Q12F IN(97,98,99) THEN Q12F=.;
IF Q12G IN(97,98,99) THEN Q12G=.;
IF Q12GOTH IN(98,99) THEN Q12GOTH=.;
IF Q13 IN(7,8,9) THEN Q13=.;
IF Q14 IN(7,8,9) THEN Q14=.;
IF Q15 IN(97,98,99) THEN Q15=.;
IF Q16 IN(97,98,99) THEN Q16=.;
IF Q21 IN(97,98,99) THEN Q21=.;
IF Q21_2 IN(97,98,99) THEN Q21_2=.;
IF Q23 IN(8,7,9) THEN Q23=.;
IF Q23A IN(7,8,9) THEN Q23A=.;
IF Q23B IN(97,98,99) THEN Q23B=.;
IF Q23C1 IN(7,8,9) THEN Q23C1=.;
IF Q23C2 IN(7,8,9) THEN Q23C2=.;
IF Q23C3 IN(7,8,9) THEN Q23C3=.;
IF Q23C4 IN(7,8,9) THEN Q23C4=.;
IF Q23C5 IN(7,8,9) THEN Q23C5=.;
IF Q23C6 IN(7,8,9) THEN Q23C6=.;
IF Q23COTH IN(98,99) THEN Q23COTH=.;
IF Q23D1 IN(97,99) THEN Q23D1=.;
IF Q23D10 IN(97,99) THEN Q23D10=.;
IF Q23D11 IN(97,99) THEN Q23D11=.;
IF Q23D2 IN(97,99) THEN Q23D2=.;
IF Q23D3 IN(97,99) THEN Q23D3=.;
IF Q23D4 IN(97,99) THEN Q23D4=.;
IF Q23D5 IN(97,99) THEN Q23D5=.;
IF Q23D6 IN(97,99) THEN Q23D6=.;
IF Q23D7 IN(97,99) THEN Q23D7=.;
IF Q23D8 IN(97,99) THEN Q23D8=.;
IF Q23D9 IN(97,98,99) THEN Q23D9=.;
IF Q24 IN(7,8,9) THEN Q24=.;
IF Q24A1 IN(97,98,99) THEN Q24A1=.;
IF Q24A1OTH IN(98,99) THEN Q24A1OTH=.;
IF Q24A2 IN(97,98,99) THEN Q24A2=.;
IF Q24A3 IN(97,98,99) THEN Q24A3=.;
IF Q24A4 IN(97,98,99) THEN Q24A4=.;
IF Q24A5 IN(97,98,99) THEN Q24A5=.;
IF Q24A6 IN(97,98,99) THEN Q24A6=.;
IF Q24A7 IN(97,98,99) THEN Q24A7=.;
IF QDAY IN(98,99) THEN QDAY=.;
IF QMO IN(98,99) THEN QMO=.;
*/

* Assign user-defined formats;

/*
FORMAT
   CKBOX V2F. JOB2FLAG V4F. PSU $V5F. Q1 V6F. Q10 V7F. Q10A V8F. Q10B V9F. Q11 V10F.
   Q12A V11F. Q12B V12F. Q12C V13F. Q12D V14F. Q12E V15F. Q12F V16F. Q12G V17F.
   Q12GOTH V18F. Q13 V19F. Q14 V20F. Q15 V21F. Q16 V22F. Q18 Q18_2 $V23F. Q19 $V25F.
   Q19_2 $V26F. Q1_RECODE V27F. Q21 V28F. Q21_2 V29F. Q23 V32F. Q23A V33F.
   Q23B V34F. Q23C1 V35F. Q23C2 V36F. Q23C3 V37F. Q23C4 V38F. Q23C5 V39F.
   Q23C6 V40F. Q23COTH V41F. Q23D1 V42F. Q23D10 V43F. Q23D11 V44F. Q23D2 V45F.
   Q23D3 V46F. Q23D4 V47F. Q23D5 V48F. Q23D6 V49F. Q23D7 V50F. Q23D8 V51F.
   Q23D9 V52F. Q24 V53F. Q24A1 V54F. Q24A1OTH V55F. Q24A2 V56F. Q24A3 V57F.
   Q24A4 V58F. Q24A5 V59F. Q24A6 V60F. Q24A7 V61F. Q2R2CODE V62F. Q3 V63F. Q3A V64F.
   Q5 $V65F. Q6 V66F. Q7 V67F. Q8 V68F. Q9 V69F. Q9A V70F. QDAY V71F. QMO V73F.
   QYR V74F. REFAGE V75F. RELAT $V76F. SPANISH V78F. SURVEYPERIOD $V79F.;
*/
